# Draw
TKTopTest
DrawFairCurve

# DrawFairCurve_MinimalVariation Class Reference

Interactive Draw object of type "MVC"
.

`#include <DrawFairCurve_MinimalVariation.hxx>`

Inheritance diagram for DrawFairCurve_MinimalVariation:

[legend]

## Public Member Functions

Standard_EXPORT | DrawFairCurve_MinimalVariation (const Standard_Address TheMVC)
Standard_EXPORT void | SetCurvature (const Standard_Integer Side, const Standard_Real Rho)
Standard_EXPORT void | SetPhysicalRatio (const Standard_Real Ratio)
Standard_EXPORT Standard_Real | GetCurvature (const Standard_Integer Side) const
Standard_EXPORT Standard_Real | GetPhysicalRatio () const
Standard_EXPORT void | FreeCurvature (const Standard_Integer Side)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT DrawFairCurve_MinimalVariation::DrawFairCurve_MinimalVariation | ( | const Standard_Address | TheMVC | ) |

## Member Function Documentation

Standard_EXPORT void DrawFairCurve_MinimalVariation::FreeCurvature | ( | const Standard_Integer | Side | ) |

Standard_EXPORT Standard_Real DrawFairCurve_MinimalVariation::GetCurvature | ( | const Standard_Integer | Side | ) | const

Standard_EXPORT Standard_Real DrawFairCurve_MinimalVariation::GetPhysicalRatio | ( |  | ) | const

Standard_EXPORT const DrawFairCurve_MinimalVariation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawFairCurve_Batten.

Standard_EXPORT void DrawFairCurve_MinimalVariation::SetCurvature | ( | const Standard_Integer | Side,
|  | const Standard_Real | Rho
| ) |

Standard_EXPORT void DrawFairCurve_MinimalVariation::SetPhysicalRatio | ( | const Standard_Real | Ratio | ) |

The documentation for this class was generated from the following file:

- DrawFairCurve_MinimalVariation.hxx